# List capabilities > 🚧 Beta feature > > This feature is currently in beta testing, and the final specification may still change. Retrieve a list of capabilities for an organization. This API provides detailed insights into the specific requirements and status of each client's onboarding journey. Capabilities are at the organization level, indicating if the organization can perform a given capability. Capabilities may have requirements, which provide more information on what is needed to use this capability. Requirements may have a due date, which indicates the date by which the requirement should be fulfilled. If a requirement is past due, the capability is disabled until the requirement is fulfilled. For payments, regardless them being at the profile level, the capability is listed at the organization level. This means that if at least one of the clients's profiles can receive payments, the payments capability is enabled, communicating that the organization can indeed receive payments. > 🔑 Access with > > [Organization access token with **onboarding.read**](/reference/authentication) > > [OAuth access with **onboarding.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/capabilities": { "get": { "summary": "List capabilities", "x-speakeasy-name-override": "list", "tags": [ "Capabilities API" ], "operationId": "list-capabilities", "security": [ { "organizationAccessToken": [ "onboarding.read" ] }, { "oAuth": [ "onboarding.read" ] } ], "description": "> 🚧 Beta feature\n>\n> This feature is currently in beta testing, and the final specification may still change.\n\nRetrieve a list of capabilities for an organization.\n\nThis API provides detailed insights into the specific requirements and status of each client's onboarding journey.\n\nCapabilities are at the organization level, indicating if the organization can perform a given capability. Capabilities may have requirements, which provide more information on what is needed to use this capability. Requirements may have a due date, which indicates the date by which the requirement should be fulfilled. If a requirement is past due, the capability is disabled until the requirement is fulfilled.\n\nFor payments, regardless them being at the profile level, the capability is listed at the organization level. This means that if at least one of the clients's profiles can receive payments, the payments capability is enabled, communicating that the organization can indeed receive payments.\n\n> 🔑 Access with\n>\n> [Organization access token with **onboarding.read**](/reference/authentication)\n>\n> [OAuth access with **onboarding.read**](/reference/authentication)", "responses": { "200": { "description": "A list of capabilities.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set.", "example": 2 }, "_embedded": { "type": "object", "required": [ "capabilities" ], "properties": { "capabilities": { "type": "array", "items": { "type": "object", "required": [ "resource", "name", "status", "statusReason", "requirements" ], "properties": { "resource": { "type": "string", "description": "Always the word `capability` for this resource type.", "example": "capability" }, "name": { "type": "string", "description": "A unique name for this capability like `payments` / `settlements`.", "example": "payments" }, "status": { "type": "string", "enum": [ "unrequested", "enabled", "disabled", "pending" ], "example": "pending" }, "statusReason": { "type": [ "string", "null" ], "enum": [ "requirement-past-due", "onboarding-information-needed" ], "example": "requirement-past-due" }, "requirements": { "type": "array", "items": { "type": "object", "required": [ "id", "dueDate", "status", "_links" ], "properties": { "id": { "type": "string", "description": "The name of this requirement, referring to the task to be fulfilled by the organization to enable or re-enable the capability. The name is unique among other requirements of the same capability. Requirements related to the onboarding process start with 'onboarding-', while requirements related to information requests start with 'information-request-'.", "example": "information-request-aml-charities-and-donations" }, "status": { "type": "string", "description": "The status of the requirement depends on its due date. If no due date is given, the status will be `requested`.\n\nPossible values: `currently-due` `past-due` `requested`", "example": "past-due" }, "dueDate": { "type": [ "string", "null" ], "description": "Due date until the requirement must be fulfilled, if any. The date is shown in ISO-8601 format.", "example": "2024-01-01T12:00:00+00:00" }, "_links": { "type": "object", "required": [], "properties": { "dashboard": { "description": "If known, a deep link to the Mollie dashboard of the client, where the requirement can be fulfilled. For example, where necessary documents are to be uploaded.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } } } } } } } }, "_links": { "type": "object", "properties": { "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "successful-response-200-1": { "summary": "Description of a capability.", "value": { "count": 1, "_embedded": { "capabilities": [ { "resource": "capability", "name": "payments", "status": "pending", "statusReason": "onboarding-information-needed", "requirements": [ { "id": "onboarding-stakeholder-ubo-identity-document", "dueDate": null, "status": "requested", "_links": { "dashboard": { "href": "https://my.mollie.com/dashboard/...", "type": "text/html" } } }, { "id": "onboarding-bank-account", "dueDate": "2024-05-14T01:29:09+00:00", "status": "past-due", "_links": { "dashboard": { "href": "https://my.mollie.com/dashboard/...", "type": "text/html" } } } ] } ] }, "_links": { "documentation": { "href": "https://docs.mollie.com/reference/list-capabilities", "type": "text/html" } } } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/capabilities \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$capabilities = $mollie->send(new ListCapabilitiesRequest());\n\nforeach ($capabilities as $capability) {\n echo \"Capability: \" . $capability->name . \"\\n\";\n echo \"Status: \" . $capability->status . \"\\n\\n\";\n}", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "'''\nWe don't have a Python code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n'''", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "# We don't have a Ruby code example for this\n# API call yet.\n#\n# If you have some time to spare, feel free to\n# share suggestions on our Discord:\n# https://discord.gg/VaTVkXB4aQ", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```